Bug 1283001 - generating key with gpg does not produce a personal key in seahorse
generating key with gpg does not produce a personal key in seahorse
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
23
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 20:30 EST by charles profitt
Modified: 2016-12-20 11:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:02:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 758355 None None None Never

  None (edit)
Description charles profitt 2015-11-17 20:30:45 EST
Description of problem:
Key generated with gpg on the command line does not result in a personal key in Seahorse or one that can be selected in Evolution.


Version-Release number of selected component (if applicable):
gpg (GnuPG) 1.4.19


How reproducible:
gpg --gen-key


Steps to Reproduce:
1. Open terminal
2. gpg --gen-key
3. check seahorse for personal gpg key

Actual results:
No key shows up under personal, just trusted and all. Key can not be selected in Evolution for signing email

Expected results:
Key shows up under personal in Seahorse and is usable in Evolution

Additional info:
Using gpg2 command results in personal key. Importing export of key created with gpg also results in personal key.
Comment 1 Brian Lane 2015-11-18 15:34:54 EST
It is up to seahorse/evolution to find the key, so this isn't a gpg issue.
Comment 2 charles profitt 2015-11-19 12:37:18 EST
Thank you Brian. I have submitted an upstream bug for this to Gnome.
Comment 3 Fedora End Of Life 2016-11-24 08:32:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:02:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.